{
  "name": "tubafashe-api",
  "version": "0.0.1",
  "description": "Tubafashe API",
  "author": "Emile Camara - camara.emile@gmail.com",
  "license": "MIT",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "env-cmd -f .env cross-env NODE_ENV=develop nodemon --watch src --exec ts-node src/main.ts",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "env-cmd -f .env cross-env NODE_ENV=production ts-node dist/main.js node dist/main",
    "lint": "tslint -p . \"./{src,test}/**/*.ts\"",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@nestjs/common": "^6.7.2",
    "@nestjs/config": "^0.4.0",
    "@nestjs/core": "^6.7.2",
    "@nestjs/jwt": "^7.0.0",
    "@nestjs/mongoose": "^6.4.0",
    "@nestjs/passport": "^7.0.0",
    "@nestjs/platform-express": "^6.7.2",
    "@nestjs/swagger": "^4.5.1",
    "@nestjs/typeorm": "^7.0.0",
    "@types/dotenv": "^8.2.0",
    "axios": "^0.19.2",
    "bcrypt": "^4.0.1",
    "class-transformer": "^0.2.3",
    "class-validator": "^0.12.0-rc.0",
    "cross-env": "^7.0.2",
    "env-cmd": "^10.1.0",
    "express-jwt": "^5.3.1",
    "got": "^10.7.0",
    "helmet": "^3.22.0",
    "joi": "^14.3.1",
    "jwks-rsa": "^1.7.0",
    "lodash": "^4.17.15",
    "mongoose": "^5.9.6",
    "nodemailer": "^6.4.6",
    "passport": "^0.4.1",
    "passport-jwt": "^4.0.0",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.0",
    "rxjs": "^6.5.3",
    "swagger-ui-express": "^4.1.4",
    "typeorm": "^0.2.24"
  },
  "devDependencies": {
    "@compodoc/compodoc": "^1.1.11",
    "@nestjs/cli": "^6.9.0",
    "@nestjs/schematics": "^6.7.0",
    "@nestjs/testing": "^6.7.1",
    "@types/bcrypt": "^3.0.0",
    "@types/express": "^4.17.1",
    "@types/jest": "^24.0.18",
    "@types/node": "^12.7.5",
    "@types/passport-jwt": "^3.0.3",
    "@types/supertest": "^2.0.8",
    "@typescript-eslint/eslint-plugin": "^2.26.0",
    "@typescript-eslint/parser": "^2.26.0",
    "eslint": "^6.8.0",
    "eslint-config-google": "^0.14.0",
    "jest": "^24.9.0",
    "nodemon": "^2.0.2",
    "prettier": "^1.18.2",
    "supertest": "^4.0.2",
    "ts-jest": "^24.1.0",
    "ts-loader": "^6.1.1",
    "ts-node": "^8.4.1",
    "tsconfig-paths": "^3.9.0",
    "tslint": "^5.20.0",
    "typescript": "^3.6.3"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
